- Qt 5.15
- Qt WebEngine
- C++ Classes
- QWebEngineFullScreenRequest
- Qt 5.15.19 Reference Documentation

# QWebEngineFullScreenRequest Class

The QWebEngineFullScreenRequest class enables accepting or rejecting requests for entering and exiting the fullscreen mode. More...

Header: | #include <QWebEngineFullScreenRequest>
qmake: | QT += webenginewidgets
Since: | Qt 5.6

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Properties

- origin : const QUrl
- toggleOn : const bool

## Public Functions

void | accept()
const QUrl & | origin() const
void | reject()
bool | toggleOn() const

## Detailed Description

To allow elements such as videos to be shown in the fullscreen mode, applications must set QWebEngineSettings::FullScreenSupportEnabled and connect to QWebEnginePage::fullScreenRequested, which takes a QWebEngineFullScreenRequest instance as an argument.

If an element of a web page requests to be shown in the fullscreen mode, QWebEnginePage::fullScreenRequested will be emitted with an QWebEngineFullScreenRequest instance as an argument where toggleOn() returns `true`. The signal handler needs to then either call accept() or reject().

If the request to enter the fullscreen mode is accepted, the element requesting fullscreen mode will fill the viewport, but it is up to the application to make the view fullscreen or to move the page to a view that is in the fullscreen mode.

Likewise, a QWebEnginePage::fullScreenRequested will be emitted when the user wants to leave the full screen mode (that is, through the QWebEnginePage::ExitFullScreen context menu action). In this case, toggleOn() will return `false`, and the signal handler again needs to accept() or reject() the request. If it is accepted, the applicaton needs to make sure that the global window state is restored.

## Property Documentation

### origin : const QUrl

This property holds the URL to be opened in the fullscreen mode.

Access functions:

const QUrl & | origin() const

### toggleOn : const bool

This property holds whether the web page has issued a request to enter fullscreen mode.

Access functions:

bool | toggleOn() const

## Member Function Documentation

### void QWebEngineFullScreenRequest::accept()

Accepts the request to enter or exit the fullscreen mode.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### const QUrl &QWebEngineFullScreenRequest::origin() const

Returns the URL to be opened in the fullscreen mode.

Note: Getter function for property origin.

### void QWebEngineFullScreenRequest::reject()

Rejects a request to enter or exit the fullscreen mode.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### bool QWebEngineFullScreenRequest::toggleOn() const

Returns `true` if the web page has issued a request to enter the fullscreen mode, otherwise returns `false`.

Note: Getter function for property toggleOn.